#!/usr/bin/env node

import { getManifest, IManifest, Product, verifyProductName } from 'ssn';
import parseArguments from './funcs/parseArguments';

const { args, fail } = parseArguments({
  product: { short: 'p', description: 'Name of the product we want to get the manifest on', verify: verifyProductName },
});

//Get manifest and write output to stdout
getManifest(args.product as Product).then((output: IManifest) => {
  process.stdout.write(JSON.stringify(output));
}).catch((error) => {
  fail(error);
});
